#!/usr/local/bin/python3.9

# Copyright (c) 2009-2014, 2018-2019 by Farsight Security, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
from __future__ import print_function

import nmsg
import sys

count = 0


def cb(msg):
    global count
    count += 1
    if (count % 10000) == 0:
        sys.stdout.write('.')
        sys.stdout.flush()

try:
    io = nmsg.io()
    input = nmsg.input.open_file(sys.argv[1])
    io.add_input(input)
    # multiple callbacks are allowed, default behavior is round robin delivery of nmsgs
    io.add_output_callback(cb)
    io.loop()
except Exception as e:
    print("Exception: {}".format(e))

print('\ncount=%s' % count)
